Linux系统ACTIVE控制机安装过程报包冲突错误_如何在6.1版本企业版Linux系统控制机上安装Active控制机
发表于 2019-03-15
点击数 339

症状:


如下所示,在centos 6.8中安装i2active的控制机安装包时,返回了一堆包冲突错误。

[root@localhost ~]# rpm -ivh i2active-ctrlcenter-3.1-24427.el6.x86_64.rpm 
Preparing…                ########################################### [100%]
    file /etc/httpd/conf.d/ssl.conf.sdata from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /etc/httpd/conf/httpd.conf.sdata from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /etc/pki/tls/certs/i2.crt from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /etc/pki/tls/private/i2.key from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.0.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.1.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.2.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.3.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.4.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.5.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /usr/local/sdata/lib/ioncube_loader_lin_5.6.so from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /var/lib/pgsql/data/pg_hba.conf.sdata from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /var/lib/pgsql/data/postgresql.conf.sdata from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /var/www/html/favicon.ico from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
    file /var/www/html/index.html from install of i2active-ctrlcenter-3.1-24427.el6.x86_64 conflicts with file from package info2soft-ctrlcenter-6.1-19625.el6.x86_64
 

解决方案:


一、问题原因


该问题的原因是,该主机安装过英方企业版控制机,依赖包存在一些冲突。

二、解决办法


已经安装过i2Enterprise(英方企业版)控制的操作系统中,如果要再安装ACTIVE的控制机安装包,直接安装patch即可,如下所示。

安装后,使用如下方式访问active的管理界面:
http://控制机IP:58080/i2active
默认密码:admin/admin

相关文章
上一篇:
下一篇:

及时响应,快速服务,为您保驾续航

立即注册

销售咨询:400-0078-655
紧急报修:021-61735936
投诉热线:021-61679076
技术QQ群:532148075
欢迎加入!
请先完成图形验证

验  证  码:

隐私声明
当您在本网站进行合作伙伴注册登记,本网站将收集您的相关信息,并保存记录。本网站收集的个人信息包括但不限于:姓名、地址、公司、所在地区、电话号码以及电子邮件地址等。您主动提供的信息越多及越准确,我们就能够更好地为您提供有关服务。
咨询·购买